# provider slapd config -- for testing
# $OpenLDAP$
## This work is part of OpenLDAP Software <http://www.openldap.org/>.
##
## Copyright 1998-2020 The OpenLDAP Foundation.
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted only as authorized by the OpenLDAP
## Public License.
##
## A copy of this license is available in the file LICENSE in the
## top-level directory of the distribution or, alternatively, at
## <http://www.OpenLDAP.org/license.html>.

include		@SCHEMADIR@/core.schema
include		@SCHEMADIR@/cosine.schema
include		@SCHEMADIR@/inetorgperson.schema
include		@SCHEMADIR@/openldap.schema
include		@SCHEMADIR@/nis.schema
include		@SCHEMADIR@/ppolicy.schema
pidfile		@TESTDIR@/slapd.m.pid
argsfile	@TESTDIR@/slapd.m.args

#mod#modulepath	../servers/slapd/back-@BACKEND@/
#mod#moduleload	back_@BACKEND@.la
#relaymod#modulepath ../servers/slapd/back-relay/
#relaymod#moduleload back_relay.la
#ldapmod#modulepath ../servers/slapd/back-ldap/
#ldapmod#moduleload back_ldap.la
#metamod#modulepath ../servers/slapd/back-meta/
#metamod#moduleload back_meta.la
#monitormod#modulepath ../servers/slapd/back-monitor/
#monitormod#moduleload back_monitor.la
#rwmmod#modulepath ../servers/slapd/overlays/
#rwmmod#moduleload rwm.la

overlay		rwm
rwm-suffixmassage	"o=Example,c=US" "dc=example,dc=com"

#######################################################################
# database definitions
#######################################################################

# remote
database	ldap
suffix		"ou=Meta,dc=example,dc=com"
subordinate
uri		"@URI2@"
rootdn		"cn=Manager,dc=example,dc=com"
chase-referrals	no
idassert-bind	bindmethod=simple
		binddn="cn=Manager,ou=Meta,dc=example,dc=com"
		credentials="secret"
		mode=self
		flags=non-prescriptive
idassert-authzfrom	"dn.exact:cn=Manager,o=Local"

# local
database	ldap
suffix		"dc=example,dc=com"
uri		"@URI1@"
rootdn		"cn=Manager,dc=example,dc=com"
rootpw		secret
chase-referrals	no
idassert-bind	bindmethod=simple
		binddn="cn=Manager,dc=example,dc=com"
		credentials="secret"
		mode=self
		flags=non-prescriptive
idassert-authzfrom	"dn.exact:cn=Manager,o=Local"

limits		dn.exact="cn=Bjorn Jensen,ou=Information Technology Division,ou=People,dc=example,dc=com" time=1 size=8

# This is only for binding as the rootdn
database	ldap
suffix		"o=Local"
rootdn		"cn=Manager,o=Local"
rootpw		secret
uri		"@URI6@"

#monitor#database	monitor
